Bug 981309 - Bug in Errai Quickstart Guide - archetypes with wrong versions in pom.xml
Bug in Errai Quickstart Guide - archetypes with wrong versions in pom.xml
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: doc-Errai-Quickstart-Guide (Show other bugs)
2.3.0
Unspecified Unspecified
unspecified Severity high
: CR2
: 2.3.0
Assigned To: Petr Penicka
Matous Jobanek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 08:47 EDT by Matous Jobanek
Modified: 2014-01-13 03:40 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-16 07:25:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matous Jobanek 2013-07-04 08:47:15 EDT
Document URL: 
https://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Web_Framework_Kit/2.3/html-single/Errai_Quickstart_Guide/index.html#maven_archetypes

Section Number and Name: 
Chapter 2. Errai Maven Archetypes

Describe the issue: 
According to https://bugzilla.redhat.com/show_bug.cgi?id=975740 the three archetypes:
Errai Bus Maven Archetype
Errai CDI Maven Archetype
Errai JAX-RS Maven Archetype

should be removed or there should be some information about wrong versions and how to change it.


There is one more bug - but very minor:
In the chapter 3.2. picture number 6 contains checked version of GWT 2.4.0 - the latest and the recommended should be 2.5.1.
Comment 1 Petr Penicka 2013-07-07 16:24:25 EDT
Removed the 3 non-WFK archetypes the same as in Maven Repository User Guide + fixed the GWT version in the screenshot. 

Still waiting to get staged. Switching to MODIFIED for now, will switch to ON_QA once it gets to the stage.
Comment 3 Marek Schmidt 2013-07-08 07:05:06 EDT
verified

Note You need to log in before you can comment on or make changes to this bug.